Package org.apache.maven.scm.provider.synergy.util

## Class SynergyCCM

- java.lang.Object
- - org.apache.maven.scm.provider.synergy.util.SynergyCCM

    public class SynergyCCM
    extends java.lang.Object

This class contains methods to execute Synergy `ccm` command line.

Author:
  Julien Henry

### Constructor Summary

Constructors
`SynergyCCM()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `checkinFiles​(java.util.List<java.io.File> files, java.lang.String comment, java.lang.String ccmAddr)` Create commandline to checkin a fileset
`static org.codehaus.plexus.util.cli.Commandline` `checkinProject​(java.lang.String projectSpec, java.lang.String comment, java.lang.String ccmAddr)` Create commandline to checkin a project
`static org.codehaus.plexus.util.cli.Commandline` `checkinTask​(java.lang.String taskSpecs, java.lang.String comment, java.lang.String ccmAddr)` Create command line for checkin a task
`static org.codehaus.plexus.util.cli.Commandline` `checkoutFiles​(java.util.List<java.io.File> files, java.lang.String ccmAddr)` Create commandline to checkout a fileset.
`static org.codehaus.plexus.util.cli.Commandline` `checkoutProject​(java.io.File directory, java.lang.String projectSpec, ScmVersion version, java.lang.String purpose, java.lang.String release, java.lang.String ccmAddr)` Create commandline to checkout a project
`static org.codehaus.plexus.util.cli.Commandline` `create​(java.util.List<java.io.File> files, java.lang.String message, java.lang.String ccmAddr)` Create command line for adding a fileset to a project
`static org.codehaus.plexus.util.cli.Commandline` `createBaseline​(java.lang.String projectSpec, java.lang.String name, java.lang.String release, java.lang.String purpose, java.lang.String ccmAddr)` Create command line for creating a baseline.
`static org.codehaus.plexus.util.cli.Commandline` `createTask​(java.lang.String synopsis, java.lang.String release, boolean defaultTask, java.lang.String ccmAddr)` Create command line for creating a task
`static org.codehaus.plexus.util.cli.Commandline` `delete​(java.util.List<java.io.File> files, java.lang.String ccmAddr, boolean replace)` Create command line for deleting file(s).
`static org.codehaus.plexus.util.cli.Commandline` `delimiter​(java.lang.String ccmAddr)` Create commandline to get Synergy database delimiter
`static org.codehaus.plexus.util.cli.Commandline` `dir​(java.io.File directory, java.lang.String format, java.lang.String ccmAddr)` Create command line to perform a dir on the directory.
`static org.codehaus.plexus.util.cli.Commandline` `query​(java.lang.String query, java.lang.String format, java.lang.String ccmAddr)` Create commandline for query.
`static org.codehaus.plexus.util.cli.Commandline` `reconcileUdb​(java.lang.String projectSpec, java.lang.String ccmAddr)` Create command line to reconcile a project with udb option.
`static org.codehaus.plexus.util.cli.Commandline` `reconcileUwa​(java.lang.String projectSpec, java.lang.String ccmAddr)` Create command line to reconcile a project with uwa option.
`static org.codehaus.plexus.util.cli.Commandline` `reconfigure​(java.lang.String projectSpec, java.lang.String ccmAddr)` Create commandline to reconfigure a project.
`static org.codehaus.plexus.util.cli.Commandline` `reconfigureProperties​(java.lang.String projectSpec, java.lang.String ccmAddr)` Create commandline to reconfigure properties of a project.
`static org.codehaus.plexus.util.cli.Commandline` `setDefaultTask​(int task, java.lang.String ccmAddr)` Create commandline to set current (i.e.
`static org.codehaus.plexus.util.cli.Commandline` `showDefaultTask​(java.lang.String ccmAddr)` Create commandline to get current (i.e.
`static org.codehaus.plexus.util.cli.Commandline` `showTaskObjects​(int taskNumber, java.lang.String format, java.lang.String ccmAddr)` Create commandline for getting list of objects in a task.
`static org.codehaus.plexus.util.cli.Commandline` `showWorkArea​(java.lang.String projectSpec, java.lang.String ccmAddr)` Create commandline to get workarea informations for a given project.
`static org.codehaus.plexus.util.cli.Commandline` `start​(java.lang.String username, java.lang.String password, SynergyRole role)` Create commandline to start a Synergy session
`static org.codehaus.plexus.util.cli.Commandline` `startRemote​(java.lang.String username, java.lang.String password, SynergyRole role)` Create commandline to start a remote Synergy session
`static org.codehaus.plexus.util.cli.Commandline` `stop​(java.lang.String ccmAddr)` Create commandline to stop a Synergy session
`static org.codehaus.plexus.util.cli.Commandline` `synchronize​(java.lang.String projectSpec, java.lang.String ccmAddr)` Create commandline to synchronize a project

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynergyCCM

    public SynergyCCM()

### Method Detail

#### showTaskObjects

    public static org.codehaus.plexus.util.cli.Commandline showTaskObjects​(int taskNumber,
                                                                           java.lang.String format,
                                                                           java.lang.String ccmAddr)
                                                                    throws ScmException

Create commandline for getting list of objects in a task.

Parameters:
  `taskNumber` - Task number.
  `format` - Output format.
  `ccmAddr` -
Returns:
  the commandline.
Throws:
  `ScmException`

#### query

    public static org.codehaus.plexus.util.cli.Commandline query​(java.lang.String query,
                                                                 java.lang.String format,
                                                                 java.lang.String ccmAddr)
                                                          throws ScmException

Create commandline for query.

Parameters:
  `query` - query.
  `format` - Output format
  `ccmAddr` -
Returns:
  the command line.
Throws:
  `ScmException`

#### createBaseline

    public static org.codehaus.plexus.util.cli.Commandline createBaseline​(java.lang.String projectSpec,
                                                                          java.lang.String name,
                                                                          java.lang.String release,
                                                                          java.lang.String purpose,
                                                                          java.lang.String ccmAddr)
                                                                   throws ScmException

Create command line for creating a baseline.

Parameters:
  `projectSpec` - project_name~project_version
  `name` - Name of the baseline
  `release` - the release.
  `purpose` - the purpose.
  `ccmAddr` -
Returns:
  the command line.
Throws:
  `ScmException`

#### create

    public static org.codehaus.plexus.util.cli.Commandline create​(java.util.List<java.io.File> files,
                                                                  java.lang.String message,
                                                                  java.lang.String ccmAddr)
                                                           throws ScmException

Create command line for adding a fileset to a project

Parameters:
  `files` - fileset.
  `message` - message log, or null if none.
  `ccmAddr` -
Returns:
  the command line.
Throws:
  `ScmException`

#### createTask

    public static org.codehaus.plexus.util.cli.Commandline createTask​(java.lang.String synopsis,
                                                                      java.lang.String release,
                                                                      boolean defaultTask,
                                                                      java.lang.String ccmAddr)
                                                               throws ScmException

Create command line for creating a task

Parameters:
  `synopsis` - synopsis.
  `release` - release.
  `defaultTask` - default.
  `ccmAddr` -
Returns:
  the command line.
Throws:
  `ScmException`

#### checkinTask

    public static org.codehaus.plexus.util.cli.Commandline checkinTask​(java.lang.String taskSpecs,
                                                                       java.lang.String comment,
                                                                       java.lang.String ccmAddr)
                                                                throws ScmException

Create command line for checkin a task

Parameters:
  `taskSpecs` - task_specs or default
  `comment` - comment.
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### delete

    public static org.codehaus.plexus.util.cli.Commandline delete​(java.util.List<java.io.File> files,
                                                                  java.lang.String ccmAddr,
                                                                  boolean replace)
                                                           throws ScmException

Create command line for deleting file(s).

Parameters:
  `files` - fileset.
  `ccmAddr` -
  `replace` - replace with previous version of file ?
Returns:
Throws:
  `ScmException`

#### reconfigure

    public static org.codehaus.plexus.util.cli.Commandline reconfigure​(java.lang.String projectSpec,
                                                                       java.lang.String ccmAddr)
                                                                throws ScmException

Create commandline to reconfigure a project.

Parameters:
  `projectSpec` -
  `ccmAddr` -
Returns:
  the command line.
Throws:
  `ScmException`

#### reconfigureProperties

    public static org.codehaus.plexus.util.cli.Commandline reconfigureProperties​(java.lang.String projectSpec,
                                                                                 java.lang.String ccmAddr)
                                                                          throws ScmException

Create commandline to reconfigure properties of a project.

Parameters:
  `projectSpec` -
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### reconcileUwa

    public static org.codehaus.plexus.util.cli.Commandline reconcileUwa​(java.lang.String projectSpec,
                                                                        java.lang.String ccmAddr)
                                                                 throws ScmException

Create command line to reconcile a project with uwa option.

Parameters:
  `projectSpec` -
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### reconcileUdb

    public static org.codehaus.plexus.util.cli.Commandline reconcileUdb​(java.lang.String projectSpec,
                                                                        java.lang.String ccmAddr)
                                                                 throws ScmException

Create command line to reconcile a project with udb option.

Parameters:
  `projectSpec` -
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### dir

    public static org.codehaus.plexus.util.cli.Commandline dir​(java.io.File directory,
                                                               java.lang.String format,
                                                               java.lang.String ccmAddr)
                                                        throws ScmException

Create command line to perform a dir on the directory.

Parameters:
  `directory` -
  `format` - Output format.
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### checkoutFiles

    public static org.codehaus.plexus.util.cli.Commandline checkoutFiles​(java.util.List<java.io.File> files,
                                                                         java.lang.String ccmAddr)
                                                                  throws ScmException

Create commandline to checkout a fileset.

Parameters:
  `files` - fileset.
  `ccmAddr` -
Returns:
  the command line.
Throws:
  `ScmException`

#### checkoutProject

    public static org.codehaus.plexus.util.cli.Commandline checkoutProject​(java.io.File directory,
                                                                           java.lang.String projectSpec,
                                                                           ScmVersion version,
                                                                           java.lang.String purpose,
                                                                           java.lang.String release,
                                                                           java.lang.String ccmAddr)
                                                                    throws ScmException

Create commandline to checkout a project

Parameters:
  `directory` - target WA, or null if using default directory
  `projectSpec` -
  `version` - new version of the project, or null if using default Synergy mecanism
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### checkinProject

    public static org.codehaus.plexus.util.cli.Commandline checkinProject​(java.lang.String projectSpec,
                                                                          java.lang.String comment,
                                                                          java.lang.String ccmAddr)
                                                                   throws ScmException

Create commandline to checkin a project

Parameters:
  `projectSpec` -
  `comment` -
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### checkinFiles

    public static org.codehaus.plexus.util.cli.Commandline checkinFiles​(java.util.List<java.io.File> files,
                                                                        java.lang.String comment,
                                                                        java.lang.String ccmAddr)
                                                                 throws ScmException

Create commandline to checkin a fileset

Parameters:
  `files` - fileset.
  `comment` -
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### synchronize

    public static org.codehaus.plexus.util.cli.Commandline synchronize​(java.lang.String projectSpec,
                                                                       java.lang.String ccmAddr)
                                                                throws ScmException

Create commandline to synchronize a project

Parameters:
  `projectSpec` -
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### showWorkArea

    public static org.codehaus.plexus.util.cli.Commandline showWorkArea​(java.lang.String projectSpec,
                                                                        java.lang.String ccmAddr)
                                                                 throws ScmException

Create commandline to get workarea informations for a given project.

Parameters:
  `projectSpec` -
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### stop

    public static org.codehaus.plexus.util.cli.Commandline stop​(java.lang.String ccmAddr)
                                                         throws ScmException

Create commandline to stop a Synergy session

Parameters:
  `ccmAddr` -
Returns:
Throws:
  `ScmException`

#### start

    public static org.codehaus.plexus.util.cli.Commandline start​(java.lang.String username,
                                                                 java.lang.String password,
                                                                 SynergyRole role)
                                                          throws ScmException

Create commandline to start a Synergy session

Parameters:
  `username` -
  `password` -
  `role` -
Returns:
Throws:
  `ScmException`

#### startRemote

    public static org.codehaus.plexus.util.cli.Commandline startRemote​(java.lang.String username,
                                                                       java.lang.String password,
                                                                       SynergyRole role)
                                                                throws ScmException

Create commandline to start a remote Synergy session

Parameters:
  `username` -
  `password` -
  `role` -
Returns:
Throws:
  `ScmException`

#### delimiter

    public static org.codehaus.plexus.util.cli.Commandline delimiter​(java.lang.String ccmAddr)
                                                              throws ScmException

Create commandline to get Synergy database delimiter

Returns:
Throws:
  `ScmException`

#### showDefaultTask

    public static org.codehaus.plexus.util.cli.Commandline showDefaultTask​(java.lang.String ccmAddr)
                                                                    throws ScmException

Create commandline to get current (i.e. default) task

Parameters:
  `ccmAddr` - current Synergy session ID
Returns:
Throws:
  `ScmException`

#### setDefaultTask

    public static org.codehaus.plexus.util.cli.Commandline setDefaultTask​(int task,
                                                                          java.lang.String ccmAddr)
                                                                   throws ScmException

Create commandline to set current (i.e. default) task

Parameters:
  `task` - the number of the task to set as current task
  `ccmAddr` - current Synergy session ID
Returns:
Throws:
  `ScmException`